View Issue Details

IDProjectCategoryView StatusLast Update
0005509SUMoBugpublic2019-06-01 12:33
Reporterwolf Assigned ToKyle_Katarn  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
OSWindows 10 
Product Version5.9.1 
Target Version5.9.3Fixed in Version5.9.3 
Summary0005509: SUMo installation leads to wrong shortcut
DescriptionWhen a product of KC Softwares is already installed like DUMo, it has entered by default a shortcut in Windows 10 start menu with section KC Softwares, the product itself and its uninstaller without providing an appropriate product specific name. When then installing SUMo, it does the same by default. The result is a section for KC Softwares in Windows 10 start menu with TWO products but only ONE uninstaller as SUMo installer overwrites the already existing uninstaller shortcut belonging to the other KC Softwares product. So please change name of that uninstaller to include the product name so that this name conflict doesn't lead to replacement but instead enables the user to have both and choose what he wants. So that shortcut should be renamed "SUMo Uninstall" instead or poorly Uninstall.

Windows 10 start menu doesn't allow to access the association to the product directly as was possible still 'til Windows 7. Indirectly it is nevertheless possible via context menu -> open storage location to see that it's the uninstaller of the last software installed which was SUMo in my case of uninstalling and reinstalling.
Steps To ReproduceInstall DUMo on Windows 10 without changing defaults,
then install SUMo on the same Windows 10 device without changing defaults.
Look at the Windows 10 start menu into section KC Softwares where should be four shortcuts but only three found.
Additional InformationWhen installing DUMo and SUMo into different start menu sections and then moving these entries into another common section like KC Softwares, there'll be four entries, not three although two shortcuts carry the same name with different reference. You then can't know which Uninstall belongs to SUMo and which one to DUMo unless asking their reference value or refered storage location.
TagsNo tags attached.

Relationships

related to 0005510 resolvedKyle_Katarn DUMo Installation leads to wrong shortcut 

Activities

Kyle_Katarn

2019-05-27 22:44

administrator   ~0003405

Bug confirmed, affecting ALL installers.

Issue History

Date Modified Username Field Change
2019-05-25 15:36 wolf New Issue
2019-05-25 15:49 wolf Issue cloned: 0005510
2019-05-25 15:49 wolf Relationship added related to 0005510
2019-05-27 22:43 Kyle_Katarn Status new => acknowledged
2019-05-27 22:43 Kyle_Katarn Target Version => 5.9.2
2019-05-27 22:44 Kyle_Katarn Note Added: 0003405
2019-05-30 15:01 Kyle_Katarn Target Version 5.9.2 => 5.9.3
2019-05-31 09:25 Kyle_Katarn Target Version 5.9.3 => 5.9.4
2019-06-01 12:32 Kyle_Katarn Assigned To => Kyle_Katarn
2019-06-01 12:32 Kyle_Katarn Status acknowledged => resolved
2019-06-01 12:32 Kyle_Katarn Resolution open => fixed
2019-06-01 12:32 Kyle_Katarn Fixed in Version => 5.9.3
2019-06-01 12:33 Kyle_Katarn Target Version 5.9.4 => 5.9.3